#
# spec file for package libSM
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libSM
%define lname	libSM6
Version:        1.2.2
Release:        7.5
Summary:        X Session Management library
License:        MIT
Group:          Development/Libraries/C and C++
Url:            http://xorg.freedesktop.org/

#Git-Clone:	git://anongit.freedesktop.org/xorg/lib/libSM
#Git-Web:	http://cgit.freedesktop.org/xorg/lib/libSM/
Source:         http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#git#BuildRequires:	autoconf >= 2.60, automake, libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(ice) >= 1.0.5
BuildRequires:  pkgconfig(uuid)
BuildRequires:  pkgconfig(xorg-macros) >= 1.12
BuildRequires:  pkgconfig(xproto)
BuildRequires:  pkgconfig(xtrans)

%description
The X Session Management Protocol provides a uniform mechanism for
users to save and restore their sessions. A session is a group of X
clients (programs), each of which has a particular state. The session
is controlled by a network service called the session manager, which
issues commands to its clients on behalf of the user. These commands
may cause clients to save their state or to terminate. It is expected
that the client will save its state in such a way that the client can
be restarted at a later time and resume its operation as if it had
never been terminated.

%package -n %lname
Summary:        X Session Management library
Group:          System/Libraries
# O/P added for 12.2
Provides:       xorg-x11-libSM = 7.6_%version-%release
Obsoletes:      xorg-x11-libSM < 7.6_%version-%release

%description -n %lname
The X Session Management Protocol provides a uniform mechanism for
users to save and restore their sessions. A session is a group of X
clients (programs), each of which has a particular state. The session
is controlled by a network service called the session manager, which
issues commands to its clients on behalf of the user. These commands
may cause clients to save their state or to terminate. It is expected
that the client will save its state in such a way that the client can
be restarted at a later time and resume its operation as if it had
never been terminated.

%package devel
Summary:        Development files for the X Session Management library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version
# O/P added for 12.2
Provides:       xorg-x11-libSM-devel = 7.6_%version-%release
Obsoletes:      xorg-x11-libSM-devel < 7.6_%version-%release

%description devel
The X Session Management Protocol provides a uniform mechanism for
users to save and restore their sessions. A session is a group of X
clients (programs), each of which has a particular state. The session
is controlled by a network service called the session manager, which
issues commands to its clients on behalf of the user. These commands
may cause clients to save their state or to terminate. It is expected
that the client will save its state in such a way that the client can
be restarted at a later time and resume its operation as if it had
never been terminated.

This package contains the development headers for the library found
in %lname.

%prep
%setup -q

%build
%configure --docdir=%_docdir/%name --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
rm -f "%buildroot/%_libdir"/*.la

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libSM.so.6*

%files devel
%defattr(-,root,root)
%_includedir/X11/*
%_libdir/libSM.so
%_libdir/pkgconfig/sm.pc
%_docdir/%name

%changelog
* Thu Sep 12 2013 zaitor@opensuse.org
- Update to version 1.2.2:
  + Fix some clang warnings about integer size/sign conversions.
  + Constify previous_id argument to SmcOpenConnection.
  + autogen.sh: Implement GNOME Build API.
  + configure: Remove AM_MAINTAINER_MODE.
  + Remove unused TLI ("STREAMSCONN") code from libSM.
* Sun Feb 17 2013 jengelh@inai.de
- Use more robust make install call
* Wed Apr 11 2012 vuntz@opensuse.org
- Update to version 1.2.1:
  + Fixes for issues found by static analysis & compiler warnings
  + Documentation cleanups & improvements,
  + Build configuration improvements
* Sun Feb 12 2012 jengelh@medozas.de
- Rename xorg-x11-libSM to libSM and utilize shlib policy
* Sun Nov 20 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Tue Dec 21 2010 sndirsch@novell.com
- bumped version number to 7.6
* Wed Dec  1 2010 sndirsch@novell.com
- revert 'export only public API symbols' for consistency reasons;
  now all these 'export only public API symbols' changes have been
  reverted
* Tue Nov 30 2010 cristian.rodriguez@opensuse.org
- export only public API symbols
- disable silent rules, defeat the purpose of post build checks
* Thu Oct 28 2010 sndirsch@novell.com
- libSM 1.2.0
  * This release fixes a couple of bugs and includes a lot of work
    from multiple people on the documentation to convert the
    ancient troff scrolls to DocBook/XML. It also includes the
    usual recent rounds of build configuration improvements and
    janitorial cleanups.
* Fri Apr  2 2010 sndirsch@suse.de
- bumped version number to 7.5
* Sat Aug  8 2009 sndirsch@suse.de
- libSM 1.1.1
  * new release of libSM with quite a bit of code churn but no real
    new feature.
* Sat May  2 2009 eich@suse.de
- revert static library and .la file removal
  for SUSE versions <= 11.1.
* Tue Apr 21 2009 crrodriguez@suse.de
- remove static libraries and "la" files
* Thu Sep 11 2008 sndirsch@suse.de
- bumped release number to 7.4
* Fri Jul  4 2008 sndirsch@suse.de
- libSM 1.1.0
  * bfo #14949: Don't use gethostbyname() for client IDs.
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Jan  2 2008 crrodriguez@suse.de
- fix library-without-ldconfig-* error
- add missing PreReq coreutils
* Sat Sep 29 2007 sndirsch@suse.de
- bumped version to 7.3
* Sun May 13 2007 sndirsch@suse.de
- update libSM to release 1.0.3
  * This release just contains some code cleanups that decrease the
    library size by a few KB.
* Sat Oct 14 2006 sndirsch@suse.de
- update to X.Org 7.2RC1
* Wed Aug  2 2006 sndirsch@suse.de
- fix setup line
* Fri Jul 28 2006 sndirsch@suse.de
- use "-fno-strict-aliasing"
* Thu Jul 27 2006 sndirsch@suse.de
- use $RPM_OPT_FLAGS
- remove existing /usr/include/X11 symlink in %%pre
* Thu Jun 22 2006 sndirsch@suse.de
- created package
